cascading.tuple

## Class TupleChainIterator

- java.lang.Object
- - cascading.tuple.TupleChainIterator

All Implemented Interfaces:
  Resettable<java.util.Iterator<Tuple>>, java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<Tuple>

    public class TupleChainIterator
    extends java.lang.Object
    implements java.util.Iterator<Tuple>, java.io.Closeable, Resettable<java.util.Iterator<Tuple>>

TupleChainIterator chains the given Iterators into a single Iterator.

As one iterator is completed, it will be closed and a new one will start.

### Constructor Summary

Constructors
Constructor and Description
`TupleChainIterator(java.util.Iterator<Tuple>... iterators)`

### Method Summary

Methods
`void` `close()` Method close closes all underlying resources.
`protected void` `closeCurrent()`
`boolean` `hasNext()` Method hasNext returns true if there is a next TupleEntry
`Tuple` `next()` Method next returns the next TupleEntry.
`void` `remove()` Method remove removes the current Tuple from the underlying collection.
`void` `reset(java.util.Iterator<Tuple>... iterators)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleChainIterator

    public TupleChainIterator(java.util.Iterator<Tuple>... iterators)

### Method Detail

#### hasNext

    public boolean hasNext()

Method hasNext returns true if there is a next TupleEntry

Specified by:
  `hasNext` in interface `java.util.Iterator<Tuple>`
Returns:
  boolean

#### reset

    public void reset(java.util.Iterator<Tuple>... iterators)

Specified by:
  `reset` in interface `Resettable<java.util.Iterator<Tuple>>`

#### next

    public Tuple next()

Method next returns the next TupleEntry.

Specified by:
  `next` in interface `java.util.Iterator<Tuple>`
Returns:
  TupleEntry

#### remove

    public void remove()

Method remove removes the current Tuple from the underlying collection.

Specified by:
  `remove` in interface `java.util.Iterator<Tuple>`

#### close

    public void close()

Method close closes all underlying resources.

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`

#### closeCurrent

    protected void closeCurrent()